/* multisender.c
   This program transfer Data to multi client with UDP.
   Aug 21, 2000
*/

#include <stdio.h>
#include <sys/file.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

#include "bbrl.h"

/* for multi client */
struct sockaddr_in cliaddr[10];
static int clinum;
int multisock;

int multisend(char *buf){
  int ret,i;
  for(i=0;i<clinum;i++){
    ret = sendto(multisock,buf,0x4000,0,(struct sockaddr *)&cliaddr[i],sizeof(cliaddr[i]));
  }
  return ret;
}

void multiclose(void){
  shutdown(multisock,2);
  close(multisock);
}

void multisender(void){
  clinum = 0;

  if((multisock = socket(AF_INET,SOCK_DGRAM,0)) < 0){
    perror("Can't make Socket. Error in multisender");
    exit(1);
  }
}

int addclient(char *host){
  struct hostent *hp;
  int ret;

  if((hp = gethostbyname(host)) == NULL){
    //perror("No such host");
    //exit(1);
    ret = 2;
  }else if(clinum < 10){
    bcopy(hp->h_addr,&cliaddr[clinum].sin_addr,hp->h_length);
    cliaddr[clinum].sin_family = AF_INET;
    cliaddr[clinum].sin_port = htons(ANAPORT);
    clinum++;
    ret = 1;
  }

  return ret;
}
