/*
 * Define Shared Memory Resion (MB)
 * In lilo.conf, transfer.c and babarldaq.c,
 *  you must be set same value.
 */
#define MEM 510

/*
 * Polling Frequency (ns)
 * Safety FREQ >= 40000
 */
#define BBRL_FREQ 50000


/*
 * Define Controllers and VME or CAMAC
 */
#define CC7700
/* #define K2915 */
#define CAMAC
/*
#define SBS620
#define VME
*/
/*
 * Define Interrupt source (CAMAC or VME)
 */
#define CAMACINT
/* #define VMEINT */


/*
 * Define Network Ports
 */

#define DATABASEPORT  16700
#define CONTROLPORT   16701
#define ONLINEPORT    16702
#define DISKDATAPORT  16703
#define LISTDATAPORT  16710
#define RECORDERPORT  16711
#define COLLECTORPORT 16720
#define ANAPORT       16730


/*
 * Installed Directory
 */

#define BBRL_DIR "/usr/babarl/bin"


/*
 * babarldaq.o <-> transfer  Shared Memory Name with mbuff.o
 */
#define BBRL_SHM "bbrl_shm"

/*
 * Block size
 */
#define BLKSIZE 16384
