/* tcpsender.c
   This program transfer Data to with TCP.
   Oct10, 2003
*/

#include <stdio.h>
#include <sys/file.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <unistd.h>
#include <string.h>
#include <stdlib.h>

#include "bbrl.h"

int sock;
struct sockaddr_in saddr;

int tcpsend(char *buf){
  int ret;
  ret = send(sock,buf,BLKSIZE,0);
  return ret;
}

void tcpclose(void){
  shutdown(sock,2);
  close(sock);
}

void tcpsender(char *host,unsigned long tcpport){
  struct hostent *hp;

  if((sock = socket(AF_INET,SOCK_STREAM,0)) < 0){
    perror("Socket");
    exit(1);
  }

  bzero((char *)&saddr,sizeof(saddr));

  if((hp = gethostbyname(host)) == NULL){
    perror("No such host");
    exit(1);
  }

  bcopy(hp->h_addr,&saddr.sin_addr,hp->h_length);
  saddr.sin_family = AF_INET;
  saddr.sin_port = htons(tcpport);
  
  if(connect(sock,(struct sockaddr *)&saddr,sizeof(saddr)) < 0){
    perror("Connect in tcpsender.\n");
    exit(1);
  }
}
