#include "v785.h"

int v785_segdata(unsigned long maddr){
  int wordcnt;

  wordcnt = 0;
  vread32(maddr+V785_OUTBUFF,(long *)(data+mp));
  mp += 2;
  segmentsize += 2;
  wordcnt++;

  if((data[mp-1] & V785_TYPE_MASK_S) == V785_HEADER_BIT_S){
    while(wordcnt < 34){
      //vread32(maddr+V785_OUTBUFF+wordcnt*32,(long *)(data+mp));
      vread32(maddr+V785_OUTBUFF,(long *)(data+mp));
      mp += 2;
      segmentsize += 2;
      wordcnt++;
      if((data[mp-1] & (V785_TYPE_MASK_S)) != V785_DATA_BIT_S){
        break;
      }
    }
  }

  return segmentsize;
}


int v785_segdata2(unsigned long maddr){
  int wordcnt;
  long tdata;
  
  wordcnt = 0;
  vread32(maddr+V785_OUTBUFF,&tdata);

  if((tdata & V785_TYPE_MASK) != V785_HEADER_BIT){
    return 0;
  }
  data[mp++] = (tdata)&0xffff;
  data[mp++] = (tdata >> 16)&0xffff;
  segmentsize += 2;
  wordcnt++;

  while(wordcnt < 34){
    vread32(maddr+V785_OUTBUFF,(long *)(data+mp));
    mp += 2;
    segmentsize += 2;
    wordcnt++;
    if((data[mp-1] & (V785_TYPE_MASK_S)) != V785_DATA_BIT_S){
      break;
    }
  }

  return segmentsize;
}


int v785_segmod(short segid,unsigned long maddr){
  int tmp,wordcnt;

  wordcnt = 0;
  tmp = mp;

  mp += 2;

  vread32(maddr+V785_OUTBUFF,(long *)(data+mp));
  mp += 2;
  wordcnt++;

  if((data[mp-1] & V785_TYPE_MASK_S) == V785_HEADER_BIT_S){
    while(wordcnt < 34){
      //vread32(maddr+V785_OUTBUFF+wordcnt*32,(long *)(data+mp));
      vread32(maddr+V785_OUTBUFF,(long *)(data+mp));
      mp += 2;
      wordcnt++;
      if((data[mp-1] & (V785_TYPE_MASK_S)) != V785_DATA_BIT_S){
        break;
      }
    }
  }
  mp = tmp;
  data[mp++] = wordcnt*2+2;                  /* Write word count */
  data[mp++] = segid;                      /* Write segment ID */

  mp += wordcnt*2;

  eventsize += wordcnt*2 + 2;                    /* Count up event size */

  return wordcnt*2 + 2;
}

